<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.prepare.harmonic.mapper.mysql.area.SpecialAnalysisIndexOverviewDetailedPOMapper">
  <resultMap id="BaseResultMap" type="com.njcn.prepare.harmonic.pojo.po.SpecialAnalysisIndexOverviewDetailedPO">
    <!--@mbg.generated-->
    <!--@Table special_analysis_index_overview_detailed-->
    <id column="org_no" jdbcType="VARCHAR" property="orgNo" />
    <id column="data_date" jdbcType="DATE" property="dataDate" />
    <id column="monitor_tag" jdbcType="VARCHAR" property="monitorTag" />
    <result column="monitor_harmonic_electric_exceeds_proportion" jdbcType="REAL" property="monitorHarmonicElectricExceedsProportion" />
    <result column="monitor_harmonic_electric_exceeds_avg_days" jdbcType="INTEGER" property="monitorHarmonicElectricExceedsAvgDays" />
    <result column="monitor_harmonic_voltage_content_exceeds_proportion" jdbcType="REAL" property="monitorHarmonicVoltageContentExceedsProportion" />
    <result column="monitor_harmonic_voltage_content_exceeds_avg_days" jdbcType="INTEGER" property="monitorHarmonicVoltageContentExceedsAvgDays" />
    <result column="voltage_index_exceeds_proportion" jdbcType="REAL" property="voltageIndexExceedsProportion" />
    <result column="voltage_index_exceeds_avg_days" jdbcType="INTEGER" property="voltageIndexExceedsAvgDays" />
    <result column="electric_index_exceeds_proportion" jdbcType="REAL" property="electricIndexExceedsProportion" />
    <result column="electric_index_exceeds_avg_days" jdbcType="INTEGER" property="electricIndexExceedsAvgDays" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    org_no, data_date, monitor_tag, monitor_harmonic_electric_exceeds_proportion, monitor_harmonic_electric_exceeds_avg_days, 
    monitor_harmonic_voltage_content_exceeds_proportion, monitor_harmonic_voltage_content_exceeds_avg_days, 
    voltage_index_exceeds_proportion, voltage_index_exceeds_avg_days, electric_index_exceeds_proportion, 
    electric_index_exceeds_avg_days
  </sql>
</mapper>